# @package      hubzero-submit-server
# @file         submit-server.conf.in
# @copyright    Copyright (c) 2006-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2006-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#
[server]
listenURIs = tcp://:830

mysqlHost = localhost
mysqlUser = @HUBNAME@
mysqlPassword = XXXXX
mysqlDB = @HUBNAME@

ldapHosts = ldap://@HUBNAME@.org
ldapBaseDN = dc=@HUBNAME@,dc=org
ldapUserDN = uid=%s,ou=users,dc=@HUBNAME@,dc=org

loadLimit    = 510     # cumulative load must not exceed 510
loadHalflife = 3600    # static load is divided in half ever 3600 sec
loadHorizon  = 86400   # forget about jobs started earlier than 1 day ago

#enableDistributor = True
#enableHarvester = True
#enableJobStatus = True
#enableJobKill = True
#enableVenueProbe = True
